Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
OnigEncodingTypeST Struct Reference

`#include <oniguruma.h>`

## Data Fields
int(* | precise_mbc_enc_len )(const OnigUChar *p, const OnigUChar *e, struct OnigEncodingTypeST *enc)
const char * | name
int | max_enc_len
int | min_enc_len
int(* | is_mbc_newline )(const OnigUChar *p, const OnigUChar *end, struct OnigEncodingTypeST *enc)
OnigCodePoint(* | mbc_to_code )(const OnigUChar *p, const OnigUChar *end, struct OnigEncodingTypeST *enc)
int(* | code_to_mbclen )(OnigCodePoint code, struct OnigEncodingTypeST *enc)
int(* | code_to_mbc )(OnigCodePoint code, OnigUChar *buf, struct OnigEncodingTypeST *enc)
int(* | mbc_case_fold )(OnigCaseFoldType flag, const OnigUChar **pp, const OnigUChar *end, OnigUChar *to, struct OnigEncodingTypeST *enc)
int(* | apply_all_case_fold )(OnigCaseFoldType flag, OnigApplyAllCaseFoldFunc f, void *arg, struct OnigEncodingTypeST *enc)
int(* | get_case_fold_codes_by_str )(OnigCaseFoldType flag, const OnigUChar *p, const OnigUChar *end, OnigCaseFoldCodeItem acs[], struct OnigEncodingTypeST *enc)
int(* | property_name_to_ctype )(struct OnigEncodingTypeST *enc, OnigUChar *p, OnigUChar *end)
int(* | is_code_ctype )(OnigCodePoint code, OnigCtype ctype, struct OnigEncodingTypeST *enc)
int(* | get_ctype_code_range )(OnigCtype ctype, OnigCodePoint *sb_out, const OnigCodePoint *ranges[], struct OnigEncodingTypeST *enc)
OnigUChar *(* | left_adjust_char_head )(const OnigUChar *start, const OnigUChar *p, const OnigUChar *end, struct OnigEncodingTypeST *enc)
int(* | is_allowed_reverse_match )(const OnigUChar *p, const OnigUChar *end, struct OnigEncodingTypeST *enc)
int | ruby_encoding_index
unsigned int | flags

## Detailed Description

Definition at line 161 of file ripper.y.

## Field Documentation

int(* OnigEncodingTypeST::apply_all_case_fold)(OnigCaseFoldType flag, OnigApplyAllCaseFoldFunc f, void *arg, struct OnigEncodingTypeST *enc)

Definition at line 171 of file ripper.y.

int(* OnigEncodingTypeST::code_to_mbc)(OnigCodePoint code, OnigUChar *buf, struct OnigEncodingTypeST *enc)

Definition at line 169 of file ripper.y.

int(* OnigEncodingTypeST::code_to_mbclen)(OnigCodePoint code, struct OnigEncodingTypeST *enc)

Definition at line 168 of file ripper.y.

unsigned int OnigEncodingTypeST::flags

Definition at line 179 of file ripper.y.

Referenced by rb_encdb_set_unicode().

int(* OnigEncodingTypeST::get_case_fold_codes_by_str)(OnigCaseFoldType flag, const OnigUChar *p, const OnigUChar *end, OnigCaseFoldCodeItem acs[], struct OnigEncodingTypeST *enc)

Definition at line 172 of file ripper.y.

int(* OnigEncodingTypeST::get_ctype_code_range)(OnigCtype ctype, OnigCodePoint *sb_out, const OnigCodePoint *ranges[], struct OnigEncodingTypeST *enc)

Definition at line 175 of file ripper.y.

int(* OnigEncodingTypeST::is_allowed_reverse_match)(const OnigUChar *p, const OnigUChar *end, struct OnigEncodingTypeST *enc)

Definition at line 177 of file ripper.y.

int(* OnigEncodingTypeST::is_code_ctype)(OnigCodePoint code, OnigCtype ctype, struct OnigEncodingTypeST *enc)

Definition at line 174 of file ripper.y.

int(* OnigEncodingTypeST::is_mbc_newline)(const OnigUChar *p, const OnigUChar *end, struct OnigEncodingTypeST *enc)

Definition at line 166 of file ripper.y.

OnigUChar *(* OnigEncodingTypeST::left_adjust_char_head)(const OnigUChar *start, const OnigUChar *p, const OnigUChar *end, struct OnigEncodingTypeST *enc)

Definition at line 176 of file ripper.y.

int OnigEncodingTypeST::max_enc_len

Definition at line 164 of file ripper.y.

Referenced by slow_search().

int(* OnigEncodingTypeST::mbc_case_fold)(OnigCaseFoldType flag, const OnigUChar **pp, const OnigUChar *end, OnigUChar *to, struct OnigEncodingTypeST *enc)

Definition at line 170 of file ripper.y.

OnigCodePoint(* OnigEncodingTypeST::mbc_to_code)(const OnigUChar *p, const OnigUChar *end, struct OnigEncodingTypeST *enc)

Definition at line 167 of file ripper.y.

int OnigEncodingTypeST::min_enc_len

Definition at line 165 of file ripper.y.

Referenced by slow_search().

const char * OnigEncodingTypeST::name

Definition at line 163 of file ripper.y.

Referenced by enc_register_at(), gzfile_reset(), rb_gzfile_ecopts(), rb_str_dump(), and RUBY_ALIAS_FUNCTION().

int(* OnigEncodingTypeST::precise_mbc_enc_len)(const OnigUChar *p, const OnigUChar *e, struct OnigEncodingTypeST *enc)

Definition at line 162 of file ripper.y.

int(* OnigEncodingTypeST::property_name_to_ctype)(struct OnigEncodingTypeST *enc, OnigUChar *p, OnigUChar *end)

Definition at line 173 of file ripper.y.

Referenced by node_extended_grapheme_cluster().

int OnigEncodingTypeST::ruby_encoding_index

Definition at line 178 of file ripper.y.

Referenced by enc_register_at().

The documentation for this struct was generated from the following file:

- include/ruby/oniguruma.h